
def web_config
  klass = Class.new do

    def email_recurly_notice
      'recurly-alerts@jamkazam.com'
    end

    def email_generic_from
      'nobody@jamkazam.com'
    end

    def external_hostname
      Capybara.current_session.server.host
    end

    def external_protocol
      'http://'
    end

    def external_port
      Capybara.current_session.server.port
    end

    def external_root_url
     "#{external_protocol}#{external_hostname}#{(external_port == 80 || external_port == 443) ? '' : ':' + external_port.to_s}"
    end


    def aws_bucket
      JAMKAZAM_TESTING_BUCKET
    end

    def aws_access_key_id
      'AKIAJESQY24TOT542UHQ'
    end

    def aws_secret_access_key
      'h0V0ffr3JOp/UtgaGrRfAk25KHNiO9gm8Pj9m6v3'
    end

    def aws_region
      'us-east-1'
    end

    def aws_bucket_public
      'jamkazam-testing-public'
    end

    def aws_cache
      '315576000'
    end

    def max_audio_downloads
      10
    end

    def max_track_upload_failures
      10
    end

    def max_track_part_upload_failures
      3
    end

    def icecast_hardcoded_source_password
      'blueberryjam'
    end

    def max_good_full_score
      40
    end

    def max_yellow_full_score
      70
    end

    def max_red_full_score
      100
    end

    def signing_step_max_time
      40 # 40 seconds
    end

    def signing_job_queue_max_time
      20 # 20 seconds
    end

    def one_free_jamtrack_per_user
      true
    end

    def secret_token
      'ced345e01611593c1b783bae98e4e56dbaee787747e92a141565f7c61d0ab2c6f98f7396fb4b178258301e2713816e158461af58c14b695901692f91e72b6200'
    end

    def expire_fingerprint_days
      14
    end

    def found_conflict_count
      1
    end
  end
  klass.new
end
